Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request
Class AbstractWsdlRequestDesktopPanel.InternalSubmitListener

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.request.AbstractWsdlRequestDesktopPanel.InternalSubmitListener

All Implemented Interfaces:
  SubmitListener

Enclosing class:
  AbstractWsdlRequestDesktopPanel<T extends ModelItem,T2 extends WsdlRequest>

    protected class AbstractWsdlRequestDesktopPanel.InternalSubmitListener

extends java.lang.Object
implements SubmitListener

Constructor Summary
`protected` | `AbstractWsdlRequestDesktopPanel.InternalSubmitListener()`

Method Summary
`void` | `afterSubmit(Submit submit, SubmitContext context)` Called after submittal of a request
`boolean` | `beforeSubmit(Submit submit, SubmitContext context)` Called before submittal of a request
`protected void` | `logMessages(java.lang.String message, java.lang.String infoMessage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractWsdlRequestDesktopPanel.InternalSubmitListener

    protected AbstractWsdlRequestDesktopPanel.InternalSubmitListener()

Method Detail

### beforeSubmit

    public boolean beforeSubmit(Submit submit,
                                SubmitContext context)

  Description copied from interface: `SubmitListener`
  Called before submittal of a request

  Specified by:
    `beforeSubmit` in interface `SubmitListener`
  Parameters:
    `submit` - the submit being submitted
  Returns:
    boolean telling if the submit should proceed.

### afterSubmit

    public void afterSubmit(Submit submit,
                            SubmitContext context)

  Description copied from interface: `SubmitListener`
  Called after submittal of a request

  Specified by:
    `afterSubmit` in interface `SubmitListener`
  Parameters:
    `submit` - the submit.

### logMessages

    protected void logMessages(java.lang.String message,
                               java.lang.String infoMessage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.